diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/hoverIntent.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/hoverIntent.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/hoverIntent.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/hoverIntent.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 1 ****
! (function(a){a.fn.hoverIntent=function(k,j){var l={sensitivity:7,interval:100,timeout:0};l=a.extend(l,j?{over:k,out:j}:k);var n,m,h,d;var e=function(f){n=f.pageX;m=f.pageY};var c=function(g,f){f.hoverIntent_t=clearTimeout(f.hoverIntent_t);if((Math.abs(h-n)+Math.abs(d-m))<l.sensitivity){a(f).unbind("mousemove",e);f.hoverIntent_s=1;return l.over.apply(f,[g])}else{h=n;d=m;f.hoverIntent_t=setTimeout(function(){c(g,f)},l.interval)}};var i=function(g,f){f.hoverIntent_t=clearTimeout(f.hoverIntent_t);f.hoverIntent_s=0;return l.out.apply(f,[g])};var b=function(o){var g=jQuery.extend({},o);var f=this;if(f.hoverIntent_t){f.hoverIntent_t=clearTimeout(f.hoverIntent_t)}if(o.type=="mouseenter"){h=g.pageX;d=g.pageY;a(f).bind("mousemove",e);if(f.hoverIntent_s!=1){f.hoverIntent_t=setTimeout(function(){c(g,f)},l.interval)}}else{a(f).unbind("mousemove",e);if(f.hoverIntent_s==1){f.hoverIntent_t=setTimeout(function(){i(g,f)},l.timeout)}}};return this.bind("mouseenter",b).bind("mouseleave",b)}})(jQuery);
\ No newline at end of file
--- 1,106 ----
! /**
! * hoverIntent is similar to jQuery's built-in "hover" function except that
! * instead of firing the onMouseOver event immediately, hoverIntent checks
! * to see if the user's mouse has slowed down (beneath the sensitivity
! * threshold) before firing the onMouseOver event.
! * 
! * hoverIntent r6 // 2011.02.26 // jQuery 1.5.1+
! * <http://cherne.net/brian/resources/jquery.hoverIntent.html>
! * 
! * hoverIntent is currently available for use in all personal or commercial 
! * projects under both MIT and GPL licenses. This means that you can choose 
! * the license that best suits your project, and use it accordingly.
! * 
! * // basic usage (just like .hover) receives onMouseOver and onMouseOut functions
! * $("ul li").hoverIntent( showNav , hideNav );
! * 
! * // advanced usage receives configuration object only
! * $("ul li").hoverIntent({
! *	sensitivity: 7, // number = sensitivity threshold (must be 1 or higher)
! *	interval: 100,   // number = milliseconds of polling interval
! *	over: showNav,  // function = onMouseOver callback (required)
! *	timeout: 0,   // number = milliseconds delay before onMouseOut function call
! *	out: hideNav    // function = onMouseOut callback (required)
! * });
! * 
! * @param  f  onMouseOver function || An object with configuration options
! * @param  g  onMouseOut function  || Nothing (use configuration options object)
! * @author    Brian Cherne brian(at)cherne(dot)net
! */
! (function($) {
! 	$.fn.hoverIntent = function(f,g) {
! 		// default configuration options
! 		var cfg = {
! 			sensitivity: 7,
! 			interval: 100,
! 			timeout: 0
! 		};
! 		// override configuration options with user supplied object
! 		cfg = $.extend(cfg, g ? { over: f, out: g } : f );
! 
! 		// instantiate variables
! 		// cX, cY = current X and Y position of mouse, updated by mousemove event
! 		// pX, pY = previous X and Y position of mouse, set by mouseover and polling interval
! 		var cX, cY, pX, pY;
! 
! 		// A private function for getting mouse position
! 		var track = function(ev) {
! 			cX = ev.pageX;
! 			cY = ev.pageY;
! 		};
! 
! 		// A private function for comparing current and previous mouse position
! 		var compare = function(ev,ob) {
! 			ob.hoverIntent_t = clearTimeout(ob.hoverIntent_t);
! 			// compare mouse positions to see if they've crossed the threshold
! 			if ( ( Math.abs(pX-cX) + Math.abs(pY-cY) ) < cfg.sensitivity ) {
! 				$(ob).unbind("mousemove",track);
! 				// set hoverIntent state to true (so mouseOut can be called)
! 				ob.hoverIntent_s = 1;
! 				return cfg.over.apply(ob,[ev]);
! 			} else {
! 				// set previous coordinates for next time
! 				pX = cX; pY = cY;
! 				// use self-calling timeout, guarantees intervals are spaced out properly (avoids JavaScript timer bugs)
! 				ob.hoverIntent_t = setTimeout( function(){compare(ev, ob);} , cfg.interval );
! 			}
! 		};
! 
! 		// A private function for delaying the mouseOut function
! 		var delay = function(ev,ob) {
! 			ob.hoverIntent_t = clearTimeout(ob.hoverIntent_t);
! 			ob.hoverIntent_s = 0;
! 			return cfg.out.apply(ob,[ev]);
! 		};
! 
! 		// A private function for handling mouse 'hovering'
! 		var handleHover = function(e) {
! 			// copy objects to be passed into t (required for event object to be passed in IE)
! 			var ev = jQuery.extend({},e);
! 			var ob = this;
! 
! 			// cancel hoverIntent timer if it exists
! 			if (ob.hoverIntent_t) { ob.hoverIntent_t = clearTimeout(ob.hoverIntent_t); }
! 
! 			// if e.type == "mouseenter"
! 			if (e.type == "mouseenter") {
! 				// set "previous" X and Y position based on initial entry point
! 				pX = ev.pageX; pY = ev.pageY;
! 				// update "current" X and Y position based on mousemove
! 				$(ob).bind("mousemove",track);
! 				// start polling interval (self-calling timeout) to compare mouse coordinates over time
! 				if (ob.hoverIntent_s != 1) { ob.hoverIntent_t = setTimeout( function(){compare(ev,ob);} , cfg.interval );}
! 
! 			// else e.type == "mouseleave"
! 			} else {
! 				// unbind expensive mousemove event
! 				$(ob).unbind("mousemove",track);
! 				// if hoverIntent state is true, then call the mouseOut function after the specified delay
! 				if (ob.hoverIntent_s == 1) { ob.hoverIntent_t = setTimeout( function(){delay(ev,ob);} , cfg.timeout );}
! 			}
! 		};
! 
! 		// bind the function to the two event listeners
! 		return this.bind('mouseenter',handleHover).bind('mouseleave',handleHover);
! 	};
! })(jQuery);
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/mce-view.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/mce-view.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/mce-view.js	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/mce-view.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 0 ****
--- 1,349 ----
+ // Ensure the global `wp` object exists.
+ window.wp = window.wp || {};
+ 
+ (function($){
+ 	var views = {},
+ 		instances = {};
+ 
+ 	// Create the `wp.mce` object if necessary.
+ 	wp.mce = wp.mce || {};
+ 
+ 	// wp.mce.view
+ 	// -----------
+ 	// A set of utilities that simplifies adding custom UI within a TinyMCE editor.
+ 	// At its core, it serves as a series of converters, transforming text to a
+ 	// custom UI, and back again.
+ 	wp.mce.view = {
+ 		// ### defaults
+ 		defaults: {
+ 			// The default properties used for objects with the `pattern` key in
+ 			// `wp.mce.view.add()`.
+ 			pattern: {
+ 				view: Backbone.View,
+ 				text: function( instance ) {
+ 					return instance.options.original;
+ 				},
+ 
+ 				toView: function( content ) {
+ 					if ( ! this.pattern )
+ 						return;
+ 
+ 					this.pattern.lastIndex = 0;
+ 					var match = this.pattern.exec( content );
+ 
+ 					if ( ! match )
+ 						return;
+ 
+ 					return {
+ 						index:   match.index,
+ 						content: match[0],
+ 						options: {
+ 							original: match[0],
+ 							results:  match
+ 						}
+ 					};
+ 				}
+ 			},
+ 
+ 			// The default properties used for objects with the `shortcode` key in
+ 			// `wp.mce.view.add()`.
+ 			shortcode: {
+ 				view: Backbone.View,
+ 				text: function( instance ) {
+ 					return instance.options.shortcode.string();
+ 				},
+ 
+ 				toView: function( content ) {
+ 					var match = wp.shortcode.next( this.shortcode, content );
+ 
+ 					if ( ! match )
+ 						return;
+ 
+ 					return {
+ 						index:   match.index,
+ 						content: match.content,
+ 						options: {
+ 							shortcode: match.shortcode
+ 						}
+ 					};
+ 				}
+ 			}
+ 		},
+ 
+ 		// ### add( id, options )
+ 		// Registers a new TinyMCE view.
+ 		//
+ 		// Accepts a unique `id` and an `options` object.
+ 		//
+ 		// `options` accepts the following properties:
+ 		//
+ 		// * `pattern` is the regular expression used to scan the content and
+ 		// detect matching views.
+ 		//
+ 		// * `view` is a `Backbone.View` constructor. If a plain object is
+ 		// provided, it will automatically extend the parent constructor
+ 		// (usually `Backbone.View`). Views are instantiated when the `pattern`
+ 		// is successfully matched. The instance's `options` object is provided
+ 		// with the `original` matched value, the match `results` including
+ 		// capture groups, and the `viewType`, which is the constructor's `id`.
+ 		//
+ 		// * `extend` an existing view by passing in its `id`. The current
+ 		// view will inherit all properties from the parent view, and if
+ 		// `view` is set to a plain object, it will extend the parent `view`
+ 		// constructor.
+ 		//
+ 		// * `text` is a method that accepts an instance of the `view`
+ 		// constructor and transforms it into a text representation.
+ 		add: function( id, options ) {
+ 			var parent, remove, base, properties;
+ 
+ 			// Fetch the parent view or the default options.
+ 			if ( options.extend )
+ 				parent = wp.mce.view.get( options.extend );
+ 			else if ( options.shortcode )
+ 				parent = wp.mce.view.defaults.shortcode;
+ 			else
+ 				parent = wp.mce.view.defaults.pattern;
+ 
+ 			// Extend the `options` object with the parent's properties.
+ 			_.defaults( options, parent );
+ 			options.id = id;
+ 
+ 			// Create properties used to enhance the view for use in TinyMCE.
+ 			properties = {
+ 				// Ensure the wrapper element and references to the view are
+ 				// removed. Otherwise, removed views could randomly restore.
+ 				remove: function() {
+ 					delete instances[ this.el.id ];
+ 					this.$el.parent().remove();
+ 
+ 					// Trigger the inherited `remove` method.
+ 					if ( remove )
+ 						remove.apply( this, arguments );
+ 
+ 					return this;
+ 				}
+ 			};
+ 
+ 			// If the `view` provided was an object, use the parent's
+ 			// `view` constructor as a base. If a `view` constructor
+ 			// was provided, treat that as the base.
+ 			if ( _.isFunction( options.view ) ) {
+ 				base = options.view;
+ 			} else {
+ 				base   = parent.view;
+ 				remove = options.view.remove;
+ 				_.defaults( properties, options.view );
+ 			}
+ 
+ 			// If there's a `remove` method on the `base` view that wasn't
+ 			// created by this method, inherit it.
+ 			if ( ! remove && ! base._mceview )
+ 				remove = base.prototype.remove;
+ 
+ 			// Automatically create the new `Backbone.View` constructor.
+ 			options.view = base.extend( properties, {
+ 				// Flag that the new view has been created by `wp.mce.view`.
+ 				_mceview: true
+ 			});
+ 
+ 			views[ id ] = options;
+ 		},
+ 
+ 		// ### get( id )
+ 		// Returns a TinyMCE view options object.
+ 		get: function( id ) {
+ 			return views[ id ];
+ 		},
+ 
+ 		// ### remove( id )
+ 		// Unregisters a TinyMCE view.
+ 		remove: function( id ) {
+ 			delete views[ id ];
+ 		},
+ 
+ 		// ### toViews( content )
+ 		// Scans a `content` string for each view's pattern, replacing any
+ 		// matches with wrapper elements, and creates a new view instance for
+ 		// every match.
+ 		//
+ 		// To render the views, call `wp.mce.view.render( scope )`.
+ 		toViews: function( content ) {
+ 			var pieces = [ { content: content } ],
+ 				current;
+ 
+ 			_.each( views, function( view, viewType ) {
+ 				current = pieces.slice();
+ 				pieces  = [];
+ 
+ 				_.each( current, function( piece ) {
+ 					var remaining = piece.content,
+ 						result;
+ 
+ 					// Ignore processed pieces, but retain their location.
+ 					if ( piece.processed ) {
+ 						pieces.push( piece );
+ 						return;
+ 					}
+ 
+ 					// Iterate through the string progressively matching views
+ 					// and slicing the string as we go.
+ 					while ( remaining && (result = view.toView( remaining )) ) {
+ 						// Any text before the match becomes an unprocessed piece.
+ 						if ( result.index )
+ 							pieces.push({ content: remaining.substring( 0, result.index ) });
+ 
+ 						// Add the processed piece for the match.
+ 						pieces.push({
+ 							content:   wp.mce.view.toView( viewType, result.options ),
+ 							processed: true
+ 						});
+ 
+ 						// Update the remaining content.
+ 						remaining = remaining.slice( result.index + result.content.length );
+ 					}
+ 
+ 					// There are no additional matches. If any content remains,
+ 					// add it as an unprocessed piece.
+ 					if ( remaining )
+ 						pieces.push({ content: remaining });
+ 				});
+ 			});
+ 
+ 			return _.pluck( pieces, 'content' ).join('');
+ 		},
+ 
+ 		toView: function( viewType, options ) {
+ 			var view = wp.mce.view.get( viewType ),
+ 				instance, id;
+ 
+ 			if ( ! view )
+ 				return '';
+ 
+ 			// Create a new view instance.
+ 			instance = new view.view( _.extend( options || {}, {
+ 				viewType: viewType
+ 			}) );
+ 
+ 			// Use the view's `id` if it already exists. Otherwise,
+ 			// create a new `id`.
+ 			id = instance.el.id = instance.el.id || _.uniqueId('__wpmce-');
+ 			instances[ id ] = instance;
+ 
+ 			// Create a dummy `$wrapper` property to allow `$wrapper` to be
+ 			// called in the view's `render` method without a conditional.
+ 			instance.$wrapper = $();
+ 
+ 			return wp.html.string({
+ 				// If the view is a span, wrap it in a span.
+ 				tag: 'span' === instance.tagName ? 'span' : 'div',
+ 
+ 				attrs: {
+ 					'class':           'wp-view-wrap wp-view-type-' + viewType,
+ 					'data-wp-view':    id,
+ 					'contenteditable': false
+ 				}
+ 			});
+ 		},
+ 
+ 		// ### render( scope )
+ 		// Renders any view instances inside a DOM node `scope`.
+ 		//
+ 		// View instances are detected by the presence of wrapper elements.
+ 		// To generate wrapper elements, pass your content through
+ 		// `wp.mce.view.toViews( content )`.
+ 		render: function( scope ) {
+ 			$( '.wp-view-wrap', scope ).each( function() {
+ 				var wrapper = $(this),
+ 					view = wp.mce.view.instance( this );
+ 
+ 				if ( ! view )
+ 					return;
+ 
+ 				// Link the real wrapper to the view.
+ 				view.$wrapper = wrapper;
+ 				// Render the view.
+ 				view.render();
+ 				// Detach the view element to ensure events are not unbound.
+ 				view.$el.detach();
+ 
+ 				// Empty the wrapper, attach the view element to the wrapper,
+ 				// and add an ending marker to the wrapper to help regexes
+ 				// scan the HTML string.
+ 				wrapper.empty().append( view.el ).append('<span data-wp-view-end class="wp-view-end"></span>');
+ 			});
+ 		},
+ 
+ 		// ### toText( content )
+ 		// Scans an HTML `content` string and replaces any view instances with
+ 		// their respective text representations.
+ 		toText: function( content ) {
+ 			return content.replace( /<(?:div|span)[^>]+data-wp-view="([^"]+)"[^>]*>.*?<span[^>]+data-wp-view-end[^>]*><\/span><\/(?:div|span)>/g, function( match, id ) {
+ 				var instance = instances[ id ],
+ 					view;
+ 
+ 				if ( instance )
+ 					view = wp.mce.view.get( instance.options.viewType );
+ 
+ 				return instance && view ? view.text( instance ) : '';
+ 			});
+ 		},
+ 
+ 		// ### Remove internal TinyMCE attributes.
+ 		removeInternalAttrs: function( attrs ) {
+ 			var result = {};
+ 			_.each( attrs, function( value, attr ) {
+ 				if ( -1 === attr.indexOf('data-mce') )
+ 					result[ attr ] = value;
+ 			});
+ 			return result;
+ 		},
+ 
+ 		// ### Parse an attribute string and removes internal TinyMCE attributes.
+ 		attrs: function( content ) {
+ 			return wp.mce.view.removeInternalAttrs( wp.html.attrs( content ) );
+ 		},
+ 
+ 		// ### instance( scope )
+ 		//
+ 		// Accepts a MCE view wrapper `node` (i.e. a node with the
+ 		// `wp-view-wrap` class).
+ 		instance: function( node ) {
+ 			var id = $( node ).data('wp-view');
+ 
+ 			if ( id )
+ 				return instances[ id ];
+ 		},
+ 
+ 		// ### Select a view.
+ 		//
+ 		// Accepts a MCE view wrapper `node` (i.e. a node with the
+ 		// `wp-view-wrap` class).
+ 		select: function( node ) {
+ 			var $node = $(node);
+ 
+ 			// Bail if node is already selected.
+ 			if ( $node.hasClass('selected') )
+ 				return;
+ 
+ 			$node.addClass('selected');
+ 			$( node.firstChild ).trigger('select');
+ 		},
+ 
+ 		// ### Deselect a view.
+ 		//
+ 		// Accepts a MCE view wrapper `node` (i.e. a node with the
+ 		// `wp-view-wrap` class).
+ 		deselect: function( node ) {
+ 			var $node = $(node);
+ 
+ 			// Bail if node is already selected.
+ 			if ( ! $node.hasClass('selected') )
+ 				return;
+ 
+ 			$node.removeClass('selected');
+ 			$( node.firstChild ).trigger('deselect');
+ 		}
+ 	};
+ 
+ }(jQuery));
\ No newline at end of file
